# Near field imager and simulator for radio interferometers
[![DOI](https://zenodo.org/badge/821329002.svg)](https://doi.org/10.5281/zenodo.15022096)

nfis is a Python-based tool for performing near field imaging and simulations on radio interferometric measurement sets. The imaging and simulation algorithms are described by [Munshi et al. 2025](https://arxiv.org/abs/2503.21728).

# Dependencies
nfis requires the following python libraries: 
- numpy
- matplotlib
- scipy
- astropy
- python-casacore
- tqdm
- imageio
- numexpr
- lofarantpos

# Installation
nfis can be installed via pip:
```
pip install nfis
```

# Documentation
A step-by-step guide is presented in the wiki page.
